GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
thd.h File Reference
`#include <grpc/support/port_platform.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_thd_options

## Typedefs
typedef gpr_uint64 | gpr_thd_id

## Functions
int | gpr_thd_new (gpr_thd_id *t, void(*thd_body)(void *arg), void *arg, const gpr_thd_options *options)
gpr_thd_options | gpr_thd_options_default (void)
void | gpr_thd_options_set_detached (gpr_thd_options *options)
void | gpr_thd_options_set_joinable (gpr_thd_options *options)
int | gpr_thd_options_is_detached (const gpr_thd_options *options)
int | gpr_thd_options_is_joinable (const gpr_thd_options *options)
gpr_thd_id | gpr_thd_currentid (void)
void | gpr_thd_join (gpr_thd_id t)

## Typedef Documentation

typedef gpr_uint64 gpr_thd_id

## Function Documentation

gpr_thd_id gpr_thd_currentid | ( | void |  | ) |

void gpr_thd_join | ( | gpr_thd_id | t | ) |

int gpr_thd_new | ( | gpr_thd_id * | t,
|  | void(*)(void *arg) | thd_body,
|  | void * | arg,
|  | const gpr_thd_options * | options
| ) |  |

gpr_thd_options gpr_thd_options_default | ( | void |  | ) |

int gpr_thd_options_is_detached | ( | const gpr_thd_options * | options | ) |

int gpr_thd_options_is_joinable | ( | const gpr_thd_options * | options | ) |

void gpr_thd_options_set_detached | ( | gpr_thd_options * | options | ) |

void gpr_thd_options_set_joinable | ( | gpr_thd_options * | options | ) |